Bug 1088625 - [abrt] libreoffice-core: sdext::presenter::PresenterPaintManager::Invalidate(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: sdext::presenter::PresenterPaintManager::Invalidate(...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c9529b7d341eb0a5226b61054cd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-16 21:49 UTC by Andrew
Modified: 2014-04-26 09:15 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.2.3.3-7.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-26 09:15:02 UTC


Attachments (Terms of Use)
File: backtrace (69.56 KB, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: cgroup (173 bytes, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: core_backtrace (38.75 KB, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: dso_list (33.44 KB, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: environ (2.92 KB, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: exploitable (82 bytes, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: limits (1.29 KB, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: maps (156.67 KB, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: open_fds (846 bytes, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details
File: var_log_messages (422 bytes, text/plain)
2014-04-16 21:49 UTC, Andrew
no flags Details

Description Andrew 2014-04-16 21:49:36 UTC
Description of problem:
Exiting presentation mode, LibreOffice crashed.

Version-Release number of selected component:
libreoffice-core-4.2.3.3-1.fc20

Additional info:
reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc '/tmp/kde-abenson/kontactW31256.index.2/NASA ROSES-2013 Proposal Budget 4-15-2014.xls'
crash_function: sdext::presenter::PresenterPaintManager::Invalidate
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.13.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sdext::presenter::PresenterPaintManager::Invalidate at /usr/src/debug/libreoffice-4.2.3.3/sdext/source/presenter/PresenterPaintManager.cxx:110
 #1 sdext::presenter::PresenterToolBar::InvalidateArea at /usr/src/debug/libreoffice-4.2.3.3/sdext/source/presenter/PresenterToolBar.cxx:463
 #2 sdext::presenter::(anonymous namespace)::Element::Invalidate at /usr/src/debug/libreoffice-4.2.3.3/sdext/source/presenter/PresenterToolBar.cxx:1319
 #3 sdext::presenter::(anonymous namespace)::CurrentTimeLabel::TimeHasChanged at /usr/src/debug/libreoffice-4.2.3.3/sdext/source/presenter/PresenterToolBar.cxx:1885
 #4 sdext::presenter::PresenterClockTimer::notify at /usr/src/debug/libreoffice-4.2.3.3/sdext/source/presenter/PresenterTimer.cxx:512
 #5 (anonymous namespace)::AsyncCallback::Notify_Impl at /usr/src/debug/libreoffice-4.2.3.3/toolkit/source/awt/asynccallback.cxx:124
 #6 Call at /usr/src/debug/libreoffice-4.2.3.3/include/tools/link.hxx:123
 #7 ImplHandleUserEvent at /usr/src/debug/libreoffice-4.2.3.3/vcl/source/window/winproc.cxx:1976
 #8 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.2.3.3/vcl/source/window/winproc.cxx:2591
 #9 CallCallback at /usr/src/debug/libreoffice-4.2.3.3/vcl/inc/salframe.hxx:243

Comment 1 Andrew 2014-04-16 21:49:39 UTC
Created attachment 886993 [details]
File: backtrace

Comment 2 Andrew 2014-04-16 21:49:41 UTC
Created attachment 886994 [details]
File: cgroup

Comment 3 Andrew 2014-04-16 21:49:42 UTC
Created attachment 886995 [details]
File: core_backtrace

Comment 4 Andrew 2014-04-16 21:49:44 UTC
Created attachment 886996 [details]
File: dso_list

Comment 5 Andrew 2014-04-16 21:49:45 UTC
Created attachment 886997 [details]
File: environ

Comment 6 Andrew 2014-04-16 21:49:46 UTC
Created attachment 886998 [details]
File: exploitable

Comment 7 Andrew 2014-04-16 21:49:47 UTC
Created attachment 886999 [details]
File: limits

Comment 8 Andrew 2014-04-16 21:49:49 UTC
Created attachment 887000 [details]
File: maps

Comment 9 Andrew 2014-04-16 21:49:50 UTC
Created attachment 887001 [details]
File: open_fds

Comment 10 Andrew 2014-04-16 21:49:51 UTC
Created attachment 887002 [details]
File: proc_pid_status

Comment 11 Andrew 2014-04-16 21:49:52 UTC
Created attachment 887003 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-04-17 10:25:14 UTC
GetPaintManager() appears to return NULL so I guess we could bodge it on the basis of that hint.

caolanm->andrew: is this reproducible for you ?

Comment 13 Andrew 2014-04-17 17:06:01 UTC
No - I haven't been able to reproduce this unfortunately. And additional piece of information: I was displaying on two screens at the time of this crash - one showing the presentation and one showing the notes/time/etc. When I exited the presentation, the screen showing the presentation exited cleanly, but the one showing the notes/time did not exited and a few seconds later crashed.

Comment 14 Caolan McNamara 2014-04-18 08:50:00 UTC
lets try the brute force approach then

Comment 15 Fedora Update System 2014-04-23 11:32:29 UTC
libreoffice-4.2.3.3-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.3.3-7.fc20

Comment 16 Fedora Update System 2014-04-24 07:38:36 UTC
Package libreoffice-4.2.3.3-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.3.3-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5533/libreoffice-4.2.3.3-7.fc20
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-04-26 09:15:02 UTC
libreoffice-4.2.3.3-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.